--
-- Table structure for table `admin_table`
--

DROP TABLE IF EXISTS `admin_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `admin_table` (
  `comment_admin` varchar(150) DEFAULT NULL,
  `date_admin` datetime DEFAULT NULL,
  `include_sources_admin` varchar(50) DEFAULT NULL,
  `included_admin` int(1) DEFAULT NULL,
  `info_admin` varchar(150) DEFAULT NULL,
  `list_admin` varchar(50) NOT NULL DEFAULT '',
  `profile_admin` enum('privileged','normal') DEFAULT NULL,
  `reception_admin` varchar(20) DEFAULT NULL,
  `role_admin` enum('listmaster','owner','editor') NOT NULL DEFAULT 'listmaster',
  `subscribed_admin` int(1) DEFAULT NULL,
  `update_admin` datetime DEFAULT NULL,
  `user_admin` varchar(100) NOT NULL DEFAULT '',
  `robot_admin` varchar(80) NOT NULL DEFAULT '',
  `visibility_admin` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`list_admin`,`robot_admin`,`user_admin`,`role_admin`),
  KEY `admin_user_index` (`user_admin`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `exclusion_table`
--

DROP TABLE IF EXISTS `exclusion_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `exclusion_table` (
  `date_exclusion` int(11) DEFAULT NULL,
  `list_exclusion` varchar(57) NOT NULL DEFAULT '',
  `user_exclusion` varchar(100) NOT NULL,
  `robot_exclusion` varchar(80) NOT NULL DEFAULT '',
  `family_exclusion` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`user_exclusion`,`robot_exclusion`,`family_exclusion`,`list_exclusion`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `list_table`
--

DROP TABLE IF EXISTS `list_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `list_table` (
  `creation_email_list` varchar(100) DEFAULT NULL,
  `creation_epoch_list` int(11) DEFAULT NULL,
  `editors_list` varchar(100) DEFAULT NULL,
  `name_list` varchar(100) NOT NULL,
  `owners_list` varchar(100) DEFAULT NULL,
  `path_list` varchar(100) DEFAULT NULL,
  `robot_list` varchar(100) NOT NULL,
  `status_list` enum('open','closed','pending','error_config','family_closed') DEFAULT NULL,
  `subject_list` varchar(100) DEFAULT NULL,
  `topics_list` varchar(255) DEFAULT NULL,
  `web_archive_list` tinyint(1) DEFAULT NULL,
  `cache_epoch_list` int(11) DEFAULT NULL,
  `config_list` mediumblob,
  `family_list` varchar(100) DEFAULT NULL,
  `searchkey_list` varchar(255) DEFAULT NULL,
  `total_list` int(7) DEFAULT NULL,
  `update_email_list` varchar(100) DEFAULT NULL,
  `update_epoch_list` int(11) DEFAULT NULL,
  PRIMARY KEY (`name_list`,`robot_list`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `notification_table`
--

DROP TABLE IF EXISTS `notification_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `notification_table` (
  `arrival_date_notification` varchar(80) DEFAULT NULL,
  `list_notification` varchar(50) DEFAULT NULL,
  `message_id_notification` varchar(100) DEFAULT NULL,
  `message_notification` longtext,
  `pk_notification` bigint(20) NOT NULL AUTO_INCREMENT,
  `reception_option_notification` varchar(20) DEFAULT NULL,
  `recipient_notification` varchar(100) DEFAULT NULL,
  `robot_notification` varchar(80) DEFAULT NULL,
  `status_notification` varchar(100) DEFAULT NULL,
  `type_notification` enum('DSN','MDN') DEFAULT NULL,
  `date_notification` int(11) NOT NULL,
  `arrival_date_epoch_notification` int(11) DEFAULT NULL,
  `arrival_epoch_notification` int(11) DEFAULT NULL,
  PRIMARY KEY (`pk_notification`)
) ENGINE=MyISAM AUTO_INCREMENT=6446619 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `one_time_ticket_table`
--

DROP TABLE IF EXISTS `one_time_ticket_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `one_time_ticket_table` (
  `data_one_time_ticket` varchar(200) DEFAULT NULL,
  `date_one_time_ticket` int(11) DEFAULT NULL,
  `email_one_time_ticket` varchar(100) DEFAULT NULL,
  `remote_addr_one_time_ticket` varchar(60) DEFAULT NULL,
  `robot_one_time_ticket` varchar(80) DEFAULT NULL,
  `status_one_time_ticket` varchar(60) DEFAULT NULL,
  `ticket_one_time_ticket` varchar(30) NOT NULL DEFAULT '',
  PRIMARY KEY (`ticket_one_time_ticket`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `stat_counter_table`
--

DROP TABLE IF EXISTS `stat_counter_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stat_counter_table` (
  `beginning_date_counter` int(11) NOT NULL,
  `data_counter` varchar(50) NOT NULL,
  `end_date_counter` int(11) DEFAULT NULL,
  `list_counter` varchar(150) DEFAULT NULL,
  `robot_counter` varchar(80) NOT NULL,
  `total_counter` int(11) DEFAULT NULL,
  `variation_counter` int(11) DEFAULT NULL,
  `count_counter` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `subscriber_table`
--

DROP TABLE IF EXISTS `subscriber_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subscriber_table` (
  `list_subscriber` varchar(50) NOT NULL DEFAULT '',
  `user_subscriber` varchar(100) NOT NULL DEFAULT '',
  `date_subscriber` datetime DEFAULT NULL,
  `visibility_subscriber` varchar(20) DEFAULT NULL,
  `reception_subscriber` varchar(20) DEFAULT NULL,
  `bounce_subscriber` varchar(35) DEFAULT NULL,
  `update_subscriber` datetime DEFAULT NULL,
  `comment_subscriber` varchar(150) DEFAULT NULL,
  `subscribed_subscriber` int(1) DEFAULT NULL,
  `included_subscriber` int(1) DEFAULT NULL,
  `include_sources_subscriber` varchar(50) DEFAULT NULL,
  `bounce_score_subscriber` smallint(6) DEFAULT NULL,
  `bounce_address_subscriber` varchar(100) DEFAULT NULL,
  `robot_subscriber` varchar(80) NOT NULL DEFAULT '',
  `topics_subscriber` varchar(200) DEFAULT NULL,
  `custom_attribute` varchar(500) DEFAULT NULL,
  `custom_attribute_subscriber` text,
  `suspend_end_date_subscriber` int(11) DEFAULT NULL,
  `suspend_start_date_subscriber` int(11) DEFAULT NULL,
  `suspend_subscriber` int(1) DEFAULT NULL,
  `number_messages_subscriber` int(5) NOT NULL,
  PRIMARY KEY (`list_subscriber`,`robot_subscriber`,`user_subscriber`),
  KEY `subscriber_user_index` (`user_subscriber`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=1;
/*!40101 SET character_set_client = @saved_cs_client */;

